다른 ID 공급자

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 409 Conflict 응답을 반환합니다. 이 응답의 type 값은 https://lingo.dev/docs/api/errors/sso-identity-provider-mismatch입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.

조직 <organizationId>의 메타데이터에 다른 ID 공급자가 설정되어 있습니다. ID 공급자를 변경하려면 Lingo.dev 지원팀의 도움이 필요합니다.

필드#

응답 본문에는 표준 항목인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.

필드유형
organizationIdstring

예시#

json
{
  "detail": "A different identity provider in the metadata at organization <organizationId>. Switching identity provider needs Lingo.dev support.",
  "organizationId": "<organizationId>",
  "type": "https://lingo.dev/docs/api/errors/sso-identity-provider-mismatch",
  "status": 409,
  "title": "Different identity provider"
}

이 오류를 반환하는 엔드포인트#

  • PUT /v2/organizations/{orgId}/sso